#
# spec file for package R-car
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global packname  car
%global rlibdir   %{_libdir}/R/library
%define tarver  3.0-2
Name:           R-%{packname}
Version:        3.0.2
Release:        1.2
Summary:        Companion to Applied Regression
License:        GPL-2.0-or-later
Group:          Development/Libraries/Other
URL:            https://cran.r-project.org/package=%{packname}
Source:         https://cran.r-project.org/src/contrib/%{packname}_%{tarver}.tar.gz
BuildRequires:  R-MASS
BuildRequires:  R-abind
BuildRequires:  R-base-devel >= 3.2.0
BuildRequires:  R-carData >= 3.0.0
BuildRequires:  R-grDevices
BuildRequires:  R-graphics
BuildRequires:  R-lme4
BuildRequires:  R-maptools
BuildRequires:  R-mgcv
BuildRequires:  R-nlme
BuildRequires:  R-nnet
BuildRequires:  R-pbkrtest >= 0.4.4
BuildRequires:  R-quantreg
BuildRequires:  R-rio
BuildRequires:  R-stats
BuildRequires:  R-utils
BuildRequires:  fdupes
BuildRequires:  texinfo
BuildRequires:  texlive
Requires:       R-MASS
Requires:       R-abind
Requires:       R-base >= 3.2.0
Requires:       R-carData >= 3.0.0
Requires:       R-grDevices
Requires:       R-graphics
Requires:       R-lme4
Requires:       R-maptools
Requires:       R-mgcv
Requires:       R-nlme
Requires:       R-nnet
Requires:       R-pbkrtest >= 0.4.4
Requires:       R-quantreg
Requires:       R-rio
Requires:       R-stats
Requires:       R-utils
Provides:       %{name} = %{tarver}

%description
Functions to Accompany J. Fox and S. Weisberg, An R Companion to Applied
Regression, Third Edition, Sage, in press.

%prep
%setup -q -c -n %{packname}
# fix wrong-file-end-of-line-encoding
sed -i 's/\r$//' car/NEWS
sed -i 's/\r$//' car/inst/doc/embedding.R

%build
# Not needed

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc/
%doc %{rlibdir}/%{packname}/html/
%doc %{rlibdir}/%{packname}/CITATION
%doc %{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta/
%{rlibdir}/%{packname}/R/
%{rlibdir}/%{packname}/help/

%changelog
* Mon Sep 17 2018 toddrme2178@gmail.com
- Update to version 3.0.2. See changelog at:
  https://cran.r-project.org/web/packages/car/NEWS
- Run spec file through spec-cleaner.
- Various other spec file cleanups.
* Sat Apr 21 2018 flyos@mailoo.org
- Update to 3.0.0
- Cleaned spec file using R2spec
* Tue May 17 2016 darin@darins.net
- update to 2.1.2
* Thu Oct  9 2014 darin@darins.net
- updated source to latest release
* Thu May 29 2014 darin@darins.net
- update deps
* Wed Apr 16 2014 darin@darins.net
- update spec
* Mon May  7 2012 darin@darins.net
- initial package for OpenSuSE
